libzypp 17.37.10

yamltest::detail Namespace Reference

## Functions
bool | parseSetup (const YAML::Node &setup, zypp::misc::testcase::TestcaseSetup &t, std::string *err)
template<typename T>
bool | parseJobs (const YAML::Node &trial, std::vector< T > &target, const zypp::Pathname &testcaseDir, std::string *err)
template<typename T>
bool | parseSingleJob (const YAML::Node &jobNode, std::vector< T > &target, const zypp::Pathname &testcaseDir, std::string *err)
bool | parseTrial (const YAML::Node &trial, zypp::misc::testcase::TestcaseTrial &target, const zypp::Pathname &testcaseDir, std::string *err)

## Function Documentation

## ◆ parseSetup()

bool yamltest::detail::parseSetup | ( | const YAML::Node & | setup,
|  | zypp::misc::testcase::TestcaseSetup & | t,
|  | std::string * | err )

Definition at line 25 of file YamlTestcaseHelpers.h.

## ◆ parseJobs()

template<typename T>

bool yamltest::detail::parseJobs | ( | const YAML::Node & | trial,
|  | std::vector< T > & | target,
|  | const zypp::Pathname & | testcaseDir,
|  | std::string * | err )

Definition at line 316 of file YamlTestcaseHelpers.h.

## ◆ parseSingleJob()

template<typename T>

bool yamltest::detail::parseSingleJob | ( | const YAML::Node & | jobNode,
|  | std::vector< T > & | target,
|  | const zypp::Pathname & | testcaseDir,
|  | std::string * | err )

Definition at line 244 of file YamlTestcaseHelpers.h.

## ◆ parseTrial()

bool yamltest::detail::parseTrial | ( | const YAML::Node & | trial,
|  | zypp::misc::testcase::TestcaseTrial & | target,
|  | const zypp::Pathname & | testcaseDir,
|  | std::string * | err )

Definition at line 324 of file YamlTestcaseHelpers.h.